Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 11 Mar 2013 09:56:46 -0400
From:      Jeroen van der Ham <jeroen@dckd.nl>
To:        tcltk@FreeBSD.org
Subject:   Problem with dependencies of tcl and tcl-modules
Message-ID:  <40477AA2-8C00-491F-B1D7-34E9F08CB6D4@dckd.nl>

Next in thread | Raw E-Mail | Index | Archive | Help
Hi,

I was cleaning up my pkgdb and ran into the following issue.
My ports tree is up to date, I've updated to the latest version of =
tcl-8.5. According to pkgdb tcl-modules is obsoleted, however it is =
still required by tcl-8.5.13.

Jeroen.


> [jeroen@zaphod] /usr/ports% sudo make update                           =
 [14:53]
> --------------------------------------------------------------
> >>> Running portsnap
> --------------------------------------------------------------
> Looking up portsnap.FreeBSD.org mirrors... 6 mirrors found.
> Fetching snapshot tag from ec2-eu-west-1.portsnap.freebsd.org... done.
> Latest snapshot on server matches what we already have.
> No updates needed.
> Ports tree is already up to date.
> [jeroen@zaphod] /usr/ports% sudo portupgrade tcl-8.5.13                =
 [14:53]
> [Updating the portsdb <format:bdb_btree> in /usr/ports ... - 24222 =
port entries found =
.........1000.........2000.........3000.........4000.........5000.........=
6000.........7000.........8000.........9000.........10000.........11000...=
......12000.........13000.........14000.........15000.........16000.......=
..17000.........18000.........19000.........20000.........21000.........22=
000.........23000.........24000.. ..... done]
> [jeroen@zaphod] /usr/ports% sudo pkgdb -F                              =
 [14:54]
> --->  Checking the package registry database
> Stale origin: 'lang/tcl-modules': perhaps moved or obsoleted.
> -> The port 'lang/tcl-modules' was removed on 2013-02-06 because:
> 	"Modules are now part of the base Tcl distributions"
> -> Hint:  tcl-modules-8.5.13 is required by the following package(s):
> 	tcl-8.5.13
> -> Hint: checking for overwritten files...
>  -> No files installed by tcl-modules-8.5.13 have been overwritten by =
other packages.
> Deinstall tcl-modules-8.5.13 ? [no] yes
> --->  Deinstalling 'tcl-modules-8.5.13'
> pkg_delete: package 'tcl-modules-8.5.13' is required by these other =
packages
> and may not be deinstalled:
> tcl-8.5.13
> ** Listing the failed packages (-:ignored / *:skipped / !:failed)
> 	! tcl-modules-8.5.13	(pkg_delete failed)
> Command failed [exit code 1]: /usr/local/sbin/pkg_deinstall =
tcl-modules-8.5.13
> [jeroen@zaphod] /usr/ports%



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?40477AA2-8C00-491F-B1D7-34E9F08CB6D4>